%define pypi_name django-pipeline

Name:           python-%{pypi_name}
Version:        2.0.8
Release:        %mkrel 2
Group:          Development/Python
Summary:        Pipeline is an asset packaging library for Django

License:        MIT
URL:            https://pypi.python.org/pypi/django-pipeline
Source0:        https://pypi.io/packages/source/d/%{pypi_name}/%{pypi_name}-%version.tar.gz
BuildArch:      noarch

%description
Pipeline is an asset packaging library for Django.

%package -n python3-%{pypi_name}
Summary:        Pipeline is an asset packaging library for Django
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)

%description -n python3-%{pypi_name}
Pipeline is an asset packaging library for Django.

%prep
%setup -q -n %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf django_pipeline.egg-info

sed -i 's|extras_require|#extras_require|' setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc AUTHORS HISTORY.rst README.rst
%{python3_sitelib}/django_pipeline*
%{python3_sitelib}/pipeline


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 2.0.8-2.mga9
+ Revision: 1825100
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.0.8-1.mga9
+ Revision: 1785090
- version 2.0.8
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 2.0.6-1.mga9
+ Revision: 1707860
- new version: 2.0.6
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.6.14-6.mga8
+ Revision: 1532170
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.6.14-5.mga8
+ Revision: 1441805
- rebuild for python3.8

* Wed Aug 21 2019 wally <wally> 1.6.14-4.mga8
+ Revision: 1430841
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 1.6.14-3.mga7
+ Revision: 1355182
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.6.14-2.mga7
+ Revision: 1288696
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 daviddavid <daviddavid> 1.6.14-1.mga7
+ Revision: 1237170
- new version: 1.6.14
- rename python-django-pipeline to python2-django-pipeline

* Sat Aug 05 2017 pterjan <pterjan> 0:1.5.4-3.mga7
+ Revision: 1135386
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0:1.5.4-2.mga6
+ Revision: 970837
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0:1.5.4-1.mga6
+ Revision: 888589
- new version: 1.5.4 + rebuild for python 3.5
- use new python macros
- remove no more needed patch
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 0:1.3.25-4.mga5
+ Revision: 741901
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:1.3.25-3.mga5
+ Revision: 728290
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:1.3.25-2.mga5
+ Revision: 687987
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 philippem <philippem> 0:1.3.25-1.mga5
+ Revision: 672162
- 1.3.25 activate python3

* Sun Jun 01 2014 pterjan <pterjan> 0:1.3.24-2.mga5
+ Revision: 630406
- 1.3.24 (mga 4 was release with 1.3.15 as only svn was reverted)
- Rebuild for new Python
+ neoclust <neoclust>
- Revert to suitable version for reviewboard

* Wed Oct 30 2013 neoclust <neoclust> 1.3.15-3.mga4
+ Revision: 548032
- Fix Python rpm deps

* Tue Oct 22 2013 umeabot <umeabot> 1.3.15-2.mga4
+ Revision: 546197
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 1.3.15-1.mga4
+ Revision: 502259
- Fix build with python3
- imported package python-django-pipeline

